#
# spec file for package snns (Version 4.1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         snns
Release:      19
Copyright:    1990-96 SNNS-Gruppe, Institut fr Parallel und Verteilte Hchstleistungsrechner (IPVR), Universitt Stuttgart, Breitwiesenstr. 20-22, D-70565 Stuttgart
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      4.1
Summary:      The "Stuttgart Neural Network Simulator"
Source: SNNSv4.1.tar.gz
Source1: SNNSv4.1.Manual.src.tar.gz
Source2: SNNSinfo-1.03.tar.gz
Patch: SNNSv4.1.dif
%description
Nice simulator of neural networks which has been developed at the university
of Stuttgart. All parameters are presented in individual windows.
To really use this program a fundamental background of neural networks
is required.
SNNS (Stuttgart Neural Network Simulator) is a software simulator for neural
networks on Unix workstations developed on the university of Stuttgart.
The aim of the project is the development of an flexible simulation
interface for research and usage of neural networks.
SNNS consists mainly of two parts:
o simulator kernel written in C
o GUI under X11
The simulator kernel works with  the internal network-data structures of the
neural network and performs all operations by learning or doing.
It can also be used separately as a C program embedded in own
applications. It supports multiple network topologies and almost like
RCS supports the sites concept. SNNS can be extended by the individual user with
user-specific activation functions, output functions, site-functions and
learning procedures which can easily be connected as simple C programs
with the simulation kernel.
At the moment of this writing the following algorithms are supported:
o back propagation
o vanilla (online) BP
o BP with Momentum Term and Flat Spot Elimination
o Batch BP
o Time Delay BP
o Counter propagation
o Quick prop
o Back percolation 1
o Generalized radial-base-functions (RBF)
o RProp
o ART 1
o ART 2
o ARTMAP
o Cascade Correlation
o Return Cascade Correlation
o Dynamic LVQ
o Back propagation through time (for recursive networks)
o Batch Back propagation through time (for recursive networks)
o Quick propagation through time 	"    "        "
o Kohonen Feature Maps
The GUI XGUI based on the kernel presents you 1/2/3-dimensional
views of the neural network and controls the kernel during the runtime
of the simulation. Additionally the 2D user-interface provides an
integrated network-editor, which can be used to design, manipulate and
present neural networks.
A complete user manual can be found in the package snnsdoc.
The current version of SNNS is to  be obtained from
ftp.informatik.uni-stuttgart.de /pub/SNNS

Authors:
--------
    Andreas Zell <zell@informatik.uni-stuttgart.de>
    Gnter Mamier
    Michael Vogt
    Niels Mache
    Ralf Hbner
    Kai-Uwe Herrmann
    Tobias Soyez
    Michael Schmalzl
    Tilman Sommer
    Artemis Hatzigeorgiou
    Sven Dring
    Dietmar Posselt
    Tobias Schreiner

%package -n snnsdoc
Summary:      User Manual for SNNS
Group:
%description -n snnsdoc
SNNS (Stuttgart Neural Network Simulator) User Manual, Version 3.3,
Universitaet Stuttgart, Fakultaet Informatik, Report No. 3/94 (revised).

Authors:
--------
    Andreas Zell <zell@informatik.uni-stuttgart.de>
    Gnter Mamier
    Michael Vogt
    Niels Mache
    Ralf Hbner
    Kai-Uwe Herrmann
    Tobias Soyez
    Michael Schmalzl
    Tilman Sommer
    Artemis Hatzigeorgiou
    Sven Dring
    Dietmar Posselt
    Tobias Schreiner

%prep
%setup -n SNNSv4.1
%patch
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/lib/SNNS
%dir /usr/lib/SNNS/html_info
%dir /usr/lib/SNNS/kernel
%dir /usr/lib/SNNS/kernel/bin
%dir /usr/lib/SNNS/kernel/bin/pc_linux
%dir /usr/lib/SNNS/tools
%dir /usr/lib/SNNS/tools/bin
%dir /usr/lib/SNNS/tools/bin/pc_linux
%dir /usr/lib/SNNS/userman
%dir /usr/lib/SNNS/xgui
%dir /usr/lib/SNNS/xgui/bin
%dir /usr/lib/SNNS/xgui/bin/pc_linux
/usr/X11R6/bin/snns
%config /usr/lib/SNNS/default.cfg
/usr/lib/SNNS/help.hdoc
/usr/lib/SNNS/kernel/bin/pc_linux/libfunc.a
/usr/lib/SNNS/kernel/bin/pc_linux/libkernel.a
/usr/lib/SNNS/tools/bin/pc_linux/analyze
/usr/lib/SNNS/tools/bin/pc_linux/batchman
/usr/lib/SNNS/tools/bin/pc_linux/bignet
/usr/lib/SNNS/tools/bin/pc_linux/convert2snns
/usr/lib/SNNS/tools/bin/pc_linux/feedback-gennet
/usr/lib/SNNS/tools/bin/pc_linux/isnns
/usr/lib/SNNS/tools/bin/pc_linux/mkhead
/usr/lib/SNNS/tools/bin/pc_linux/mkout
/usr/lib/SNNS/tools/bin/pc_linux/mkpat
/usr/lib/SNNS/tools/bin/pc_linux/netlearn
/usr/lib/SNNS/tools/bin/pc_linux/netperf
/usr/lib/SNNS/tools/bin/pc_linux/pat_sel
/usr/lib/SNNS/tools/bin/pc_linux/snns2c
/usr/lib/SNNS/tools/bin/pc_linux/snnsbat
/usr/lib/SNNS/xgui/bin/pc_linux/lib3d.a
/usr/lib/SNNS/xgui/bin/pc_linux/libxgui1.a
/usr/lib/SNNS/xgui/bin/pc_linux/libxgui2.a
/usr/lib/SNNS/xgui/bin/pc_linux/xgui
%files -n snnsdoc
/usr/lib/SNNS/html_info

